name: simulations
channels:
  - conda-forge
  - defaults
  - vtraag # To be removed when louvain gets into conda-forge for Windows 
dependencies:
  - python>=3.7
  - numpy>=1.17.5
  - pandas>=1.0.3
  - scipy>=1.4.1
  - ipykernel<5.0.0
  - pip>=19.3.1
  - matplotlib>=3.1.2
  - nodejs>=13.7.0
  - jupyterlab>=1.2.5
  - jupytext>=1.3.2
  - ipympl>=0.4.1
  - jupyterlab-git>=0.9.0
  - ipdb>=0.12.3
  - black>=19.10b0
  - jupyterlab_code_formatter>=1.0.3
  - flake8>=3.7.9
  - ipywidgets>=7.5.1
  - scikit-learn>=0.22.1
  - seaborn>=0.10.0
  - python-igraph>=0.8.0
  - anndata>=0.7.1
  - louvain>=0.6.1
  - pip:
    - ipyfilechooser>=0.3.2
    - scanpy>=1.4.5.1
    - mygene>=3.1.0
    - pyscenic>=0.10.0

